/*
 * generated by Xtext 2.32.0
 */
package no.ntnu.tdt4250.componentsdsl.parser.antlr;

import com.google.inject.Inject;
import no.ntnu.tdt4250.componentsdsl.parser.antlr.internal.InternalComponentsDSLParser;
import no.ntnu.tdt4250.componentsdsl.services.ComponentsDSLGrammarAccess;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;

public class ComponentsDSLParser extends AbstractAntlrParser {

	@Inject
	private ComponentsDSLGrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalComponentsDSLParser createParser(XtextTokenStream stream) {
		return new InternalComponentsDSLParser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "System";
	}

	public ComponentsDSLGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(ComponentsDSLGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
